Package docking.widgets.table.constrainteditor

# Class UnsignedLongRangeConstraintEditor

java.lang.Object
docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor<BigInteger>
docking.widgets.table.constrainteditor.UnsignedLongRangeConstraintEditor

All Implemented Interfaces:
  `ColumnConstraintEditor<BigInteger>`

public class UnsignedLongRangeConstraintEditor extends AbstractColumnConstraintEditor<BigInteger>
A constraint editor for specifying ranges of unsigned long values. There are no direct constraints that use the editor since java doesn't have unsigned long types. This exists for objects that represent an unsigned long value and are converted to BigInteger for editing.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor

  `currentConstraint, INVALID_INPUT_COLOR, VALID_INPUT_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsignedLongRangeConstraintEditor(ColumnConstraint<BigInteger> constraint)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Component`
  `buildInlineEditorComponent()`
  Delegate the construction of the inline editor component.
  `protected boolean`
  `checkEditorValueValidity()`
  Template method that subclasses must implement.
  `String`
  `getErrorMessage()`
  If the editor contains and invalid value, this message should indicate why the value is invalid.
  `protected ColumnConstraint<BigInteger>`
  `getValueFromComponent()`
  Get the constraints' new value from the editor component.
  `void`
  `reset()`
  Reset the editor to a known-good state.
  `protected void`
  `updateEditorComponent()`
  Indicates to subclasses that the constraint has changed, and the user interface needs to be updated to reflect the new state.
  `protected void`
  `updateInfoMessage(boolean isValid)`

  ### Methods inherited from class docking.widgets.table.constrainteditor.AbstractColumnConstraintEditor

  `addChangeListener, buildDetailEditorComponent, formatStatus, getDetailComponent, getInlineComponent, getValue, hasEditorComponents, hasValidValue, notifyConstraintChanged, removeChangeListener, setValue, valueChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnsignedLongRangeConstraintEditor

    public UnsignedLongRangeConstraintEditor(ColumnConstraint<BigInteger> constraint)
    Constructor.
    Parameters:
      `constraint` - Integer-type constraint for which this component is an editor.

- ## Method Details

  - ### buildInlineEditorComponent

    protected Component buildInlineEditorComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Delegate the construction of the inline editor component.
    Specified by:
      `buildInlineEditorComponent` in class `AbstractColumnConstraintEditor<BigInteger>`
    Returns:
      the editors inline component
    See Also:
      - `AbstractColumnConstraintEditor.getInlineComponent()`

  - ### updateInfoMessage

    protected void updateInfoMessage(boolean isValid)
    Specified by:
      `updateInfoMessage` in class `AbstractColumnConstraintEditor<BigInteger>`

  - ### reset

    public void reset()
    Description copied from interface: `ColumnConstraintEditor`
    Reset the editor to a known-good state.

  - ### getErrorMessage

    public String getErrorMessage()
    Description copied from interface: `ColumnConstraintEditor`
    If the editor contains and invalid value, this message should indicate why the value is invalid. Only called if `hasValidValue()` returns false.
    Returns:
      an error message, or an empty string if no error

  - ### getValueFromComponent

    protected ColumnConstraint<BigInteger> getValueFromComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Get the constraints' new value from the editor component. This expects the UI to have been constructed.
    Specified by:
      `getValueFromComponent` in class `AbstractColumnConstraintEditor<BigInteger>`
    Returns:
      the value
    See Also:
      - `AbstractColumnConstraintEditor.getValue()`

  - ### checkEditorValueValidity

    protected boolean checkEditorValueValidity()
    Description copied from class: `AbstractColumnConstraintEditor`
    Template method that subclasses must implement. This class will call this method whenever the value changes so that the validity state is updated.

    Only called when the editor component has been constructed and UI elements are defined.

    Specified by:
      `checkEditorValueValidity` in class `AbstractColumnConstraintEditor<BigInteger>`
    Returns:
      true if the UI defines a valid value, false otherwise
    See Also:
      - `ColumnConstraintEditor.hasValidValue()`

  - ### updateEditorComponent

    protected void updateEditorComponent()
    Description copied from class: `AbstractColumnConstraintEditor`
    Indicates to subclasses that the constraint has changed, and the user interface needs to be updated to reflect the new state.
    Specified by:
      `updateEditorComponent` in class `AbstractColumnConstraintEditor<BigInteger>`